Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Fix debian build scripts for newest Ubuntu cosmic #2362

Open
wants to merge 2 commits into
base: master
from

Conversation

1 participant
@megies
Copy link
Member

megies commented Mar 19, 2019

What does this PR do?

Just some minor tweaks to debian specific files, mostly fixing the build on newest Ubuntu.

PR Checklist

  • Correct base branch selected? master for new features, maintenance_... for bug fixes
  • This PR is not directly related to an existing issue (which has no PR yet).
  • If the PR is making changes to documentation, docs pages can be built automatically.
    Just remove the space in the following string after the + sign: "+ DOCS"
  • If any network modules should be tested for the PR, add them as a comma separated list
    (e.g. clients.fdsn,clients.arclink) after the colon in the following magic string: "+TESTS:"
    (you can also add "ALL" to just simply run all tests across all modules)
  • All tests still pass.
  • Any new features or fixed regressions are be covered via new tests.
  • Any new or changed features have are fully documented.
  • Significant changes have been added to CHANGELOG.txt .
  • First time contributors have added your name to CONTRIBUTORS.txt .

megies added some commits Nov 2, 2018

deb: force pybuild to not build python 3.7 on ubuntu cosmic
in principle it should be able to control this by setting
PYBUILD_PYVERSIONS using `py3version -d` but somehow that doesn't work

but anyway this seems to work now for skipping a non-wanted python
version

see also debugging in
https://github.com/megies/obspy/tree/deb_1.1.0_cosmic_problems

see #2258 and see #2308
deb: only build packages for default python3 version
e.g. on ubuntu cosmic there's also python 3.7 but it doesnt have all of
our dependencies

@megies megies added the DEB label Mar 19, 2019

@megies megies added this to the 1.2.0 milestone Mar 19, 2019

@megies megies self-assigned this Mar 19, 2019

@megies megies added this to In Progress in Release 1.2.0 Mar 19, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.